Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface SecurityWebAdaptor

    public interface SecurityWebAdaptor

This class is created for controlling the security setting UI in the server 8889/security when the customer implements the new security API. The customer may only implement get methods and not the set method in the new security API. This class can control the security UI's display when the customer only implemented part of the new security API.

Since:
  server V8

Field Summary
`static int` | `ACTION_ADD_GROUP` The adding group action.
`static int` | `ACTION_ADD_ROLE` The adding role action.
`static int` | `ACTION_ADD_USER` The adding user action.
`static int` | `ACTION_CHANGE_PASSWORD` The changing password action.
`static int` | `ACTION_EDIT_GROUP_PERMISSIONS` The editing group permission action.
`static int` | `ACTION_EDIT_GROUP_PRIVILEGES` The editing group privileges action.
`static int` | `ACTION_EDIT_GROUP_PROPERTIES` The editing group properties action.
`static int` | `ACTION_EDIT_RELATION_GROUP_SUBGROUP` The editing group-subGroup relation action.
`static int` | `ACTION_EDIT_RELATION_GROUP_USER` The editing group-user relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_GROUP` The editing role-group relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_SUBROLE` The editing role-subRole relation action.
`static int` | `ACTION_EDIT_RELATION_ROLE_USER` The editing role-user relation action.
`static int` | `ACTION_EDIT_ROLE_PERMISSIONS` The editing role permission action.
`static int` | `ACTION_EDIT_ROLE_PRIVILEGES` The editing role privileges action.
`static int` | `ACTION_EDIT_ROLE_PROPERTIES` The editing role properties action.
`static int` | `ACTION_EDIT_USER_AUDIT` The editing user audition action.
`static int` | `ACTION_EDIT_USER_PERMISSIONS` The editing user permission action.
`static int` | `ACTION_EDIT_USER_PRIVILEGES` The editing user privileges action.
`static int` | `ACTION_EDIT_USER_PROPERTIES` The editing user properties action.
`static int` | `ACTION_REMOVE_GROUP` The removing group action.
`static int` | `ACTION_REMOVE_ROLE` The removing role action.
`static int` | `ACTION_REMOVE_USER` The removing user action.

Method Summary
`boolean` | `isEditing(int action)` Checks if the action can be edited.

Field Detail

### ACTION_CHANGE_PASSWORD

    static final int ACTION_CHANGE_PASSWORD

  The changing password action. This action will be done in the web UI: 8888/preference/change password or 8889/security/user/change password.

  See Also:
    Constant Field Values

### ACTION_EDIT_USER_PROPERTIES

    static final int ACTION_EDIT_USER_PROPERTIES

  The editing user properties action. This action will be done in the web UI: 8889/security/user.

  See Also:
    Constant Field Values

### ACTION_EDIT_USER_AUDIT

    static final int ACTION_EDIT_USER_AUDIT

  The editing user audition action. This action will be done in the web UI: 8889/security/user.

  See Also:
    Constant Field Values

### ACTION_REMOVE_USER

    static final int ACTION_REMOVE_USER

  The removing user action. This action will be done in the web UI: 8889/security/user/delete.

  See Also:
    Constant Field Values

### ACTION_ADD_USER

    static final int ACTION_ADD_USER

  The adding user action. This action will be done in the web UI: 8889/security/user/create a new user.

  See Also:
    Constant Field Values

### ACTION_EDIT_ROLE_PROPERTIES

    static final int ACTION_EDIT_ROLE_PROPERTIES

  The editing role properties action. This action will be done in the web UI: 8889/security/role.

  See Also:
    Constant Field Values

### ACTION_REMOVE_ROLE

    static final int ACTION_REMOVE_ROLE

  The removing role action. This action will be done in the web UI: 8889/security/role/delete.

  See Also:
    Constant Field Values

### ACTION_ADD_ROLE

    static final int ACTION_ADD_ROLE

  The adding role action. This action will be done in the web UI: 8889/security/role/create a new role.

  See Also:
    Constant Field Values

### ACTION_EDIT_GROUP_PROPERTIES

    static final int ACTION_EDIT_GROUP_PROPERTIES

  The editing group properties action. This action will be done in the web UI: 8889/security/group.

  See Also:
    Constant Field Values

### ACTION_REMOVE_GROUP

    static final int ACTION_REMOVE_GROUP

  The removing group action. This action will be done in the web UI: 8889/security/group/delete.

  See Also:
    Constant Field Values

### ACTION_ADD_GROUP

    static final int ACTION_ADD_GROUP

  The adding group action. This action will be done in the web UI: 8889/security/group/create a new group.

  See Also:
    Constant Field Values

### ACTION_EDIT_USER_PERMISSIONS

    static final int ACTION_EDIT_USER_PERMISSIONS

  The editing user permission action. This action will be done in the web UI: 8889/%Resource Node%/properties/set permissions and 8888/%Resource Node%/properties/set permissions.

  See Also:
    Constant Field Values

### ACTION_EDIT_ROLE_PERMISSIONS

    static final int ACTION_EDIT_ROLE_PERMISSIONS

  The editing role permission action. This action will be done in the web UI: 8889/%Resource Node%/properties/set permissions and 8888/%Resource Node%/properties/set permissions.

  See Also:
    Constant Field Values

### ACTION_EDIT_GROUP_PERMISSIONS

    static final int ACTION_EDIT_GROUP_PERMISSIONS

  The editing group permission action. This action will be done in the web UI: 8889/%Resource Node%/properties/set permissions and 8888/%Resource Node%/properties/set permissions.

  See Also:
    Constant Field Values

### ACTION_EDIT_USER_PRIVILEGES

    static final int ACTION_EDIT_USER_PRIVILEGES

  The editing user privileges action. This action will be done in the web UI: 8889/security/user and 8889/security/privileges.

  See Also:
    Constant Field Values

### ACTION_EDIT_ROLE_PRIVILEGES

    static final int ACTION_EDIT_ROLE_PRIVILEGES

  The editing role privileges action. This action will be done in the web UI: 8889/security/role and 8889/security/privileges.

  See Also:
    Constant Field Values

### ACTION_EDIT_GROUP_PRIVILEGES

    static final int ACTION_EDIT_GROUP_PRIVILEGES

  The editing group privileges action. This action will be done in the web UI: 8889/security/group and 8889/security/privileges.

  See Also:
    Constant Field Values

### ACTION_EDIT_RELATION_ROLE_USER

    static final int ACTION_EDIT_RELATION_ROLE_USER

  The editing role-user relation action. This action will be done in the web UI: 8889/security/role/Members and 8889/security/user/Edit Roles.

  See Also:
    Constant Field Values

### ACTION_EDIT_RELATION_ROLE_GROUP

    static final int ACTION_EDIT_RELATION_ROLE_GROUP

  The editing role-group relation action. This action will be done in the web UI: 8889/security/role/Members and 8889/security/user/Edit Roles.

  See Also:
    Constant Field Values

### ACTION_EDIT_RELATION_GROUP_USER

    static final int ACTION_EDIT_RELATION_GROUP_USER

  The editing group-user relation action. This action will be done in the web UI: 8889/security/group/Members and 8889/security/user/Edit Groups.

  See Also:
    Constant Field Values

### ACTION_EDIT_RELATION_GROUP_SUBGROUP

    static final int ACTION_EDIT_RELATION_GROUP_SUBGROUP

  The editing group-subGroup relation action. This action will be done in the web UI: 8889/security/group/Members.

  See Also:
    Constant Field Values

### ACTION_EDIT_RELATION_ROLE_SUBROLE

    static final int ACTION_EDIT_RELATION_ROLE_SUBROLE

  The editing role-subRole relation action. This action will be done in the web UI: 8889/security/role/Members.

  See Also:
    Constant Field Values

Method Detail

### isEditing

    boolean isEditing(int action)

  Checks if the action can be edited.

  Parameters:
    `action` - the action's type, for example, ACTION_EDIT_RELATION_ROLE_SUBROLE
  Returns:
    if can edit return true, otherwise return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD